 
`include "nandgate4_4_1.v"
`include "notgate_1_1.v"
`include "SPLIT_f_ZK_1_5.v"
`include "SPLIT_f_ZK_1_7.v"
`include "SPLIT_f_ZK_1_2.v"
`include "SPLIT_f_ZK_1_6.v"
`include "SPLIT_f_ZK_1_9.v"
`include "SPLIT_f_ZK_1_4.v"
`timescale 1ns/1ns
module encoderbtod(NXUin_1_A0,NXUin_2_A1,NXUin_3_A2,NXUin_4_A3,NXUout_1_Y_0,
NXUout_2_Y_1,NXUout_3_Y_2,NXUout_4_Y_3,NXUout_5_Y_4,NXUout_6_Y_5,NXUout_7_Y_6,
NXUout_8_Y_7,NXUout_9_Y_8,NXUout_10_Y_9);
input NXUin_1_A0,NXUin_2_A1,NXUin_3_A2,NXUin_4_A3;
output NXUout_1_Y_0,NXUout_2_Y_1,NXUout_3_Y_2,NXUout_4_Y_3,NXUout_5_Y_4,
NXUout_6_Y_5,NXUout_7_Y_6,NXUout_8_Y_7,NXUout_9_Y_8,NXUout_10_Y_9;
wire NXU_s7,NXU_s14,NXU_s23,NXU_s29;
wire NXU_s1,NXU_s8,NXU_s15,NXU_s30;
wire NXU_s16,NXU_s24,NXU_s31,NXU_s37;
wire NXU_s2,NXU_s17,NXU_s32,NXU_s38;
wire NXU_s9,NXU_s25,NXU_s33,NXU_s41;
wire NXU_s3,NXU_s10,NXU_s34,NXU_s42;
wire NXU_s26,NXU_s35,NXU_s39,NXU_s43;
wire NXU_s4,NXU_s36,NXU_s40,NXU_s44;
wire NXU_s11,NXU_s18,NXU_s20,NXU_s27;
wire NXU_s5,NXU_s12,NXU_s19,NXU_s21;
wire NXU_s48;
wire NXU_s22;
wire NXU_s47;
wire NXU_s6;
wire NXU_s46;
wire NXU_s13;
wire NXU_s45;
wire NXU_s28;
wire NXU_s87;
wire NXU_s88;
wire NXU_s89;
wire NXU_s90;
wire NXU_s91;
wire NXU_s92;
wire NXU_s93;
wire NXU_s94;
wire NXU_s57;
assign NXU_s48 = NXUin_1_A0;
assign NXU_s47 = NXUin_2_A1;
assign NXU_s46 = NXUin_3_A2;
assign NXU_s45 = NXUin_4_A3;
nandgate4_4_1 NXUmap1(.in_1(NXU_s7),.in_2(NXU_s14),.in_3(NXU_s23),
.in_4(NXU_s29),.out_1(NXU_s58));
nandgate4_4_1 NXUmap2(.in_1(NXU_s1),.in_2(NXU_s8),.in_3(NXU_s15),
.in_4(NXU_s30),.out_1(NXU_s49));
nandgate4_4_1 NXUmap3(.in_1(NXU_s16),.in_2(NXU_s24),.in_3(NXU_s31),
.in_4(NXU_s37),.out_1(NXU_s50));
nandgate4_4_1 NXUmap4(.in_1(NXU_s2),.in_2(NXU_s17),.in_3(NXU_s32),
.in_4(NXU_s38),.out_1(NXU_s51));
nandgate4_4_1 NXUmap5(.in_1(NXU_s9),.in_2(NXU_s25),.in_3(NXU_s33),
.in_4(NXU_s41),.out_1(NXU_s52));
nandgate4_4_1 NXUmap6(.in_1(NXU_s3),.in_2(NXU_s10),.in_3(NXU_s34),
.in_4(NXU_s42),.out_1(NXU_s53));
nandgate4_4_1 NXUmap7(.in_1(NXU_s26),.in_2(NXU_s35),.in_3(NXU_s39),
.in_4(NXU_s43),.out_1(NXU_s54));
nandgate4_4_1 NXUmap8(.in_1(NXU_s4),.in_2(NXU_s36),.in_3(NXU_s40),
.in_4(NXU_s44),.out_1(NXU_s55));
nandgate4_4_1 NXUmap9(.in_1(NXU_s11),.in_2(NXU_s18),.in_3(NXU_s20),
.in_4(NXU_s27),.out_1(NXU_s56));
nandgate4_4_1 NXUmap10(.in_1(NXU_s5),.in_2(NXU_s12),.in_3(NXU_s19),
.in_4(NXU_s21),.out_1(NXU_s57));
notgate_1_1 NXUmap11(.in_1(NXU_s48),.out_1(NXU_s91));
notgate_1_1 NXUmap12(.in_1(NXU_s22),.out_1(NXU_s87));
notgate_1_1 NXUmap13(.in_1(NXU_s47),.out_1(NXU_s88));
notgate_1_1 NXUmap14(.in_1(NXU_s6),.out_1(NXU_s93));
notgate_1_1 NXUmap15(.in_1(NXU_s46),.out_1(NXU_s89));
notgate_1_1 NXUmap16(.in_1(NXU_s13),.out_1(NXU_s94));
notgate_1_1 NXUmap17(.in_1(NXU_s45),.out_1(NXU_s92));
notgate_1_1 NXUmap18(.in_1(NXU_s28),.out_1(NXU_s90));
SPLIT_f_ZK_1_5 NXUmap19(.in_1(NXU_s87),.out_1(NXU_s1),.out_2(NXU_s2),
.out_3(NXU_s3),.out_4(NXU_s4),.out_5(NXU_s5));
SPLIT_f_ZK_1_7 NXUmap20(.in_1(NXU_s88),.out_1(NXU_s6),.out_2(NXU_s7),
.out_3(NXU_s8),.out_4(NXU_s9),.out_5(NXU_s10),.out_6(NXU_s11),.out_7(NXU_s12));

SPLIT_f_ZK_1_7 NXUmap21(.in_1(NXU_s89),.out_1(NXU_s13),.out_2(NXU_s14),
.out_3(NXU_s15),.out_4(NXU_s16),.out_5(NXU_s17),
.out_6(NXU_s18),.out_7(NXU_s19));

SPLIT_f_ZK_1_2 NXUmap22(.in_1(NXU_s90),.out_1(NXU_s20),.out_2(NXU_s21));
SPLIT_f_ZK_1_6 NXUmap23(.in_1(NXU_s91),.out_1(NXU_s22),.out_2(NXU_s23),
.out_3(NXU_s24),.out_4(NXU_s25),.out_5(NXU_s26),.out_6(NXU_s27));
SPLIT_f_ZK_1_9 NXUmap24(.in_1(NXU_s92),.out_1(NXU_s28),.out_2(NXU_s29),
.out_3(NXU_s30),.out_4(NXU_s31),.out_5(NXU_s32),.out_6(NXU_s33),
.out_7(NXU_s34),.out_8(NXU_s35),.out_9(NXU_s36));
SPLIT_f_ZK_1_4 NXUmap25(.in_1(NXU_s93),.out_1(NXU_s37),.out_2(NXU_s38),
.out_3(NXU_s39),.out_4(NXU_s40));
SPLIT_f_ZK_1_4 NXUmap26(.in_1(NXU_s94),.out_1(NXU_s41),.out_2(NXU_s42),
.out_3(NXU_s43),.out_4(NXU_s44));
assign NXUout_1_Y_0 = NXU_s58;
assign NXUout_2_Y_1 = NXU_s49;
assign NXUout_3_Y_2 = NXU_s50;
assign NXUout_4_Y_3 = NXU_s51;
assign NXUout_5_Y_4 = NXU_s52;
assign NXUout_6_Y_5 = NXU_s53;
assign NXUout_7_Y_6 = NXU_s54;
assign NXUout_8_Y_7 = NXU_s55;
assign NXUout_9_Y_8 = NXU_s56;
assign NXUout_10_Y_9 = NXU_s57;
endmodule

